# Generated by Django 4.0.3 on 2022-04-20 17:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('Master', '0002_delete_contactmaster'),
    ]

    operations = [
        migrations.CreateModel(
            name='BeauticianProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('aadhar_card', models.ImageField(blank=True, null=True, upload_to='aadhar_card/')),
                ('pan_card', models.ImageField(blank=True, null=True, upload_to='pan_card/')),
                ('is_verified', models.BooleanField(default=False)),
                ('last_verified_on', models.DateField(blank=True, null=True)),
                ('verification_valid_till', models.DateField(blank=True, null=True)),
                ('total_bookings', models.CharField(blank=True, max_length=100, null=True)),
                ('average_ratings', models.CharField(blank=True, max_length=100, null=True)),
                ('available', models.BooleanField(default=False)),
                ('beautician', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('verified_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='user_verified', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Beautician Profile',
                'db_table': 'BeauticianProfile',
            },
        ),
        migrations.CreateModel(
            name='CategoryMaster',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('parent_category', models.IntegerField(blank=True, null=True)),
                ('description', models.CharField(blank=True, max_length=200, null=True)),
            ],
            options={
                'verbose_name': 'Category Master',
                'db_table': 'CategoryMaster',
            },
        ),
        migrations.CreateModel(
            name='MobileOtp',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('mobile_no', models.CharField(blank=True, max_length=10, null=True)),
                ('otp', models.CharField(blank=True, max_length=100, null=True)),
                ('is_verified', models.BooleanField(default=False)),
                ('beautician_verify', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'Mobile Otp',
                'db_table': 'mobile_otp',
            },
        ),
        migrations.CreateModel(
            name='ServicesMaster',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='service_image/')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('discount', models.CharField(blank=True, max_length=100, null=True)),
                ('price', models.CharField(blank=True, max_length=100, null=True)),
                ('description', models.CharField(blank=True, max_length=300, null=True)),
                ('aproximate_time', models.CharField(blank=True, default=0, max_length=80, null=True)),
                ('beautician', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.categorymaster')),
            ],
            options={
                'verbose_name': 'Services Master',
                'db_table': 'ServicesMaster',
            },
        ),
        migrations.CreateModel(
            name='PackageMaster',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='package_image/')),
                ('package_name', models.CharField(blank=True, max_length=100, null=True)),
                ('price', models.CharField(blank=True, max_length=100, null=True)),
                ('discount', models.CharField(blank=True, max_length=100, null=True)),
                ('description', models.CharField(blank=True, max_length=300, null=True)),
                ('aproximate_time', models.CharField(blank=True, default=0, max_length=80, null=True)),
                ('beautician', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
                ('services', models.ManyToManyField(to='Master.servicesmaster')),
            ],
            options={
                'verbose_name': 'Package Master',
                'db_table': 'PackageMaster',
            },
        ),
    ]
